package cn.iselab.mooctest.site.dao;

import cn.iselab.mooctest.site.model.ReportTaskPO;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Component;

import java.util.Optional;

/**
 * @author guochao
 * @date 2019-11-18 16:19
 */
@Component
public interface ReportTaskDao extends CrudRepository<ReportTaskPO, Long> {

    Optional<Long> findByTraceId(String traceId);

    @Override
    <S extends ReportTaskPO> S save(S s);
}
