package cn.iselab.mooctest.site.web.data.ReportVO;

import cn.iselab.mooctest.site.web.data.ReportVO.ReportDataVO;
import cn.iselab.mooctest.site.web.data.StaticScanData.StaticScanData;
import cn.iselab.mooctest.site.web.data.vulData.ProjectInfoVO;
import cn.iselab.mooctest.site.web.data.vulData.VulStatisticsVO;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author sunjh
 * @date 2019/12/9 10:15
 */
@Data
public class StaticScanReportDataVO extends ReportDataVO {
    private ProjectInfoVO projectInfo;
    private List<String> menus;
    private List<StaticScanData> vulnerability;
    private VulStatisticsVO vulStatistics;

    public StaticScanReportDataVO() {
        menus = new ArrayList<>();
        vulnerability = new ArrayList<>();
    }

    @Override
    public String toString() {
        return "StaticScanReportDataVO{" +
                "projectInfo=" + projectInfo +
                ", menus=" + menus +
                ", vulnerability=" + vulnerability +
                ", vulStatistics=" + vulStatistics +
                '}';
    }
}
