package cn.iselab.mooctest.site.web.data.StaticScanData;

import lombok.Data;

import java.util.List;

/**
 * @author sunjh
 * @date 2019/12/8 19:28
 */
@Data
public class StaticScanData{

    /**
     * 漏洞引用
     */
    private List<StaticScanVulReference> reference;
    /**
     * 概述
     */
    private String overview;
    /**
     * 漏洞级别
     */
    private Integer riskLevel;
    /**
     * 举例
     */
    private List<StaticScanExample> staticScanExamples;
    /**
     * 解决方案
     */
    private List<StaticScanSolution> staticScanSolutions;
    /**
     * 漏洞名称
     */
    private String name;
    /**
     * 漏洞位置
     */
    private String location;
    /**
     * 扫描源
     */
    private String source;
    /**
     * 漏洞详情
     */
    private String detail;
    /**
     * 漏洞类型
     */
    private String category;
    /**
     * 漏洞上下文
     */
    private String content;
}
