package cn.iselab.mooctest.site.web.data.functionalTestData;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by yangdenghui on 2018/6/14.
 */
@Data
public class FunctionalTestVO {
    private TypePassResult typePassResult;
    private UCPassResult ucPassResult;
    private DeviceDistributionData deviceDistributionData;
    private GeneralResult generalResult;
    private List<Bug> bugList;
    private List<UCResultItem> ucResult;
    private List<DeviceDetailItem> deviceDetails;

    public FunctionalTestVO() {
        this.typePassResult = new TypePassResult();
        this.ucPassResult = new UCPassResult();
        this.deviceDistributionData = new DeviceDistributionData();
        this.generalResult = new GeneralResult();
        this.bugList = new ArrayList<Bug>();
        this.ucResult = new ArrayList<UCResultItem>();
        this.deviceDetails = new ArrayList<DeviceDetailItem>();
    }
}
