package cn.iselab.mooctest.site.service;

import cn.iselab.mooctest.site.domainObject.ReportTask;
import cn.iselab.mooctest.site.web.data.ReportVO.ReportDataVO;

import java.util.concurrent.Future;

/**
 * Created by yangdenghui on 2018/3/6.
 */

public interface AutoReportProductService {

    ReportTask getReport(String traceId);

    void generateReport(String traceId, String jsonData, String reportType);

    String copyReportBuilderToPath(String traceId, String reportBuilderName);

    void writeDataToJsonFile(String jsonData,String path);

    boolean runBuilderToProductReport(String command,String path);

    String handleReportTemplate(String reportType, String reportTemplateFileName);
}
