package cn.iselab.mooctest.site.web.data.enums;

/**
 * @author sunjh
 * @date 2019/11/5 15:42
 */
public enum VulVerifyStatus {
    TODO("未审核", 0),
    NOT_A_VUL("不是漏洞", 1),
    IS_A_VUL("是漏洞", 2),
    NOT_SURE("不确定", 3);

    private String statusName;
    private int status;

    private VulVerifyStatus(String statusName, int status) {
        this.statusName = statusName;
        this.status = status;
    }

    @Override
    public String toString() {
        return this.statusName;
    }

    public String getStatusName() {
        return this.statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public int getStatus() {
        return this.status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public static VulVerifyStatus fromStatus(int status) throws IllegalArgumentException {
        switch(status) {
            case 0:
                return TODO;
            case 1:
                return NOT_A_VUL;
            case 2:
                return IS_A_VUL;
            case 3:
                return NOT_SURE;
            default:
                throw new IllegalArgumentException("unknown vul verify status");
        }
    }
}

