package cn.iselab.mooctest.site.web.data.functionalTestData;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by yangdenghui on 2018/6/19.
 */
@Data
public class DeviceDetailItem {
    private Long id;
    private String brand;
    private String deviceId;
    private String type;
    private String os;
    private String resolution;
    private String size;
    private String physicalMemory;
    private String storage;
    private Long ucSuccess;
    private Long crash;
    private Long anr;
    private String time;
    private List<DeviceBugListItem> bugList;
    private List<DeviceUCListItem> ucList;


    public DeviceDetailItem() {
        this.bugList = new ArrayList<DeviceBugListItem>();
        this.ucList = new ArrayList<DeviceUCListItem>();
    }
}
