package cn.iselab.mooctest.site.web.data.reportData;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by yangdenghui on 2018/3/5.
 */
@Data
public class DeviceDetailVO {
    private Long id;
    private String brand;
    private String deviceId;
    private String type;  //brand+model
    private String os;
    private String resolution;
    private String size;
    private String physicalMemory;
    private String storage;
    private Long install;
    private Long start;
    private Long execute;
    private Long uninstall;
    private Long UI;
    private Long testState;
    private Long failType;
    private String failDesc;
    private String installTime;
    private String startTime;
    private String installStartTime;
    private String launchStartTime;
    private String execStartTime;
    private String execTime;
    private String uninstallStartTime;
    private String cpuAvg;
    private String memoryAvg;
    private Long FPS;
    private String recv;
    private String send;
    private Long power;
    private Long battery;
    private String temperature;
    private List<String> screenShotImages;
    private Object performanceDetail;
    private List<Object> logcats;
    private Object installLog;
    private Object scriptLog;
    private Object errorLocation;

    public DeviceDetailVO() {
        this.screenShotImages = new ArrayList<>();
        this.logcats = new ArrayList<>();
    }
}
