package cn.iselab.mooctest.site.web.data.vulData;

import cn.iselab.mooctest.site.web.data.enums.VulVerifyStatus;

import java.io.Serializable;

/**
 * @author sunjh
 * @date 2019/11/5 15:41
 */
public class VulCheckVo implements Serializable {
    private Integer verifyStatus;
    private String verifyStatusName;
    private Integer verifyRiskLevel;
    private String verifyRiskLevelName;
    private String verifySolution;
    private String verifyReappearance;
    private Integer verifyVulType;
    private String verifyVulTypeName;
    private Boolean examinedIsVul;
    private Integer examinedVulType;
    private String examinedVulTypeName;
    private Integer examinedRisk;
    private String examinedRiskName;
    private String examinedSolution;
    private String examinedReappearance;

    public VulCheckVo() {
    }

    public VulCheckVo(Integer verifyStatus) {
        this.verifyStatus = verifyStatus;
        if (this.verifyStatus != null) {
            this.verifyStatusName = VulVerifyStatus.fromStatus(verifyStatus).getStatusName();
        }

    }

    public Integer getVerifyStatus() {
        return this.verifyStatus;
    }

    public void setVerifyStatus(Integer verifyStatus) {
        this.verifyStatus = verifyStatus;
    }

    public String getVerifyStatusName() {
        return this.verifyStatusName;
    }

    public void setVerifyStatusName(String verifyStatusName) {
        this.verifyStatusName = verifyStatusName;
    }

    public Integer getVerifyRiskLevel() {
        return this.verifyRiskLevel;
    }

    public void setVerifyRiskLevel(Integer verifyRiskLevel) {
        this.verifyRiskLevel = verifyRiskLevel;
    }

    public String getVerifyRiskLevelName() {
        return this.verifyRiskLevelName;
    }

    public void setVerifyRiskLevelName(String verifyRiskLevelName) {
        this.verifyRiskLevelName = verifyRiskLevelName;
    }

    public String getVerifySolution() {
        return this.verifySolution;
    }

    public void setVerifySolution(String verifySolution) {
        this.verifySolution = verifySolution;
    }

    public String getVerifyReappearance() {
        return this.verifyReappearance;
    }

    public void setVerifyReappearance(String verifyReappearance) {
        this.verifyReappearance = verifyReappearance;
    }

    public Integer getVerifyVulType() {
        return this.verifyVulType;
    }

    public void setVerifyVulType(Integer verifyVulType) {
        this.verifyVulType = verifyVulType;
    }

    public String getVerifyVulTypeName() {
        return this.verifyVulTypeName;
    }

    public void setVerifyVulTypeName(String verifyVulTypeName) {
        this.verifyVulTypeName = verifyVulTypeName;
    }

    public Boolean getExaminedIsVul() {
        return this.examinedIsVul;
    }

    public void setExaminedIsVul(Boolean examinedIsVul) {
        this.examinedIsVul = examinedIsVul;
    }

    public Integer getExaminedVulType() {
        return this.examinedVulType;
    }

    public void setExaminedVulType(Integer examinedVulType) {
        this.examinedVulType = examinedVulType;
    }

    public String getExaminedVulTypeName() {
        return this.examinedVulTypeName;
    }

    public void setExaminedVulTypeName(String examinedVulTypeName) {
        this.examinedVulTypeName = examinedVulTypeName;
    }

    public Integer getExaminedRisk() {
        return this.examinedRisk;
    }

    public void setExaminedRisk(Integer examinedRisk) {
        this.examinedRisk = examinedRisk;
    }

    public String getExaminedRiskName() {
        return this.examinedRiskName;
    }

    public void setExaminedRiskName(String examinedRiskName) {
        this.examinedRiskName = examinedRiskName;
    }

    public String getExaminedSolution() {
        return this.examinedSolution;
    }

    public void setExaminedSolution(String examinedSolution) {
        this.examinedSolution = examinedSolution;
    }

    public String getExaminedReappearance() {
        return this.examinedReappearance;
    }

    public void setExaminedReappearance(String examinedReappearance) {
        this.examinedReappearance = examinedReappearance;
    }
}

